Untitled Document

Overview

About SecureDisk
-- What is SecureDisk?
-- licence

Installing SecureDisk
-- System requirements
-- Installing SecureDisk
-- uninstalling SecureDisk

How to...
-- Creating a SecureDisk volume
-- Mounting a SecureDisk volume
-- Dismounting a SecureDisk volume
-- Deleting a SecureDisk volume

Interface
--SecureDisk console
---- SecureDisk main window
---- Menus
-- Tray menu

Settings
-- Settings window

Details
-- Windows shell extension
-- Floating volume size

Support
-- Register
-- Contact us


What is SecureDisk

SecureDisk is a program which can create encrypted disks on Windows operation systems which can protect your files or data from been accessed by others. Using the powerful and proven cryptographic algorithm it can provide the best security. After installing SecureDisk, you can choose to create a virtual disk file which acts as a container that contains data and when been mounted by SecureDisk, a new logic driver will be created, you can look the new driver as a normal driver because their operations are the same, the encrypt and decrypt processes are transparent to user which make it much easy and convenience for both old hands and the newbie.

Some features of SecureDisk:

  • The best and proven Blowfish cryptographic algorithm will make your encrypted disk unconquerable
  • Very fast encryption. You may even not notice the time it used.
  • Easy to use. Both the creation of a new container and the mount process are very simple.
  • Support FAT16/FAT32/NTFS driver format under Windows 2000/NT/XP.
  • No limit on the number of SecureDisk volumes exist on a single disk.
  • Act as a Windows service


Version History

SecureDisk 1.1

  • Allow users who have no administration privilege on a computer to create virtual disks that can not be accessed by other users, even those who are administrators.
  • Let user choose whether to start SecureDisk when system starts up.
  • Remove the limitation that when using unregistered version of SecureDisk, users can not create virtual disks more than 50MB.
  • Fixed bugs:
    • When creating virtual disks under Windows NT, error message "Initialize file failed" will prompt.
    • Some Info- or choice-windows descriptions are unreadable.

SecureDisk 1.0 (Initial version) :

  • Create virtual disks.
  • No limit on the number of SecureDisk volumes exist on a single disk.
  • No limit on the size of virtual disks.
  • Program act as a Windows service
  • Can mount multiple virtual disks at the same time.
  • Use powerful cryptographic algorithm to protect contents in SecureDisk volumes.
  • Integrated with Microsoft Explorer.


Licence of SecureDisk

All copyrights to SecureDisk are exclusively owned by LeeSoft. For more information, contact our website at www.wekasoft.com.

Unregistered(trial) version of SecureDisk provides all the functions but has a 30 days period limitation. Any further use of SecureDisk need your registration,

Once registered, the user is granted a non-exclusive license to use SecureDisk on one computer (i.e. a single CPU) at a time. The registered SecureDisk software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license.

The SecureDisk unregistered (trial) version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of SecureDisk without written permission from the copyright holder.

SecureDisk IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

It is a condition of use, that data loss owing to any bug, error or failure of this program is not the responsibility of the author. If in doubt, backup your data before installation of this software, and if possible satisfy yourself of its current operation on a system which doesn't contain irreplaceable data.

The author cannot be responsible, or render any assistance, in the event of loss of passphrase needed to access encrypted data.

All rights not expressly granted here are reserved by LeeSoft.

Installing and using SecureDisk signifies acceptance of these terms and conditions of the license.

If you do not agree with the terms of this license you must remove SecureDisk files from your storage devices and cease to use the product.


System requirements

Before installing SecureDisk, please be sure you have:

1. A Pentium 100 PC or higher, 16MB RAM or more.

2. Windows 2000/NT/XP operating system.

3. At least 2 MB free disk space for SecureDisk installation.

4. Other free disk space for your SecureDisk volume files. (This can be FAT16/NTFS drive under Windows NT or FAT16/FAT32/NTFS drive under Windows 2000).


Installing SecureDisk

To install SecureDisk on your machine please follow the instructions:

1. Exit other running applications to avoid potential conflicts during installation.

2. Double click the SecureDisk installation file.

3. After click "Yes" to accept SecureDisk Licence, choose a directory at which you want SecureDisk be installed, this can be a new directory.

4. Input a folder name for SecureDisk in your Start menu, or check "Don't create a Start menu folder" to skip this step.

5. Check "Create a desktop icon" or/and "Create a quick launch icon" if you want these modifications be done to your system.

6. Click "Install".

7. Once the installation is over and your system has restarted, you can find the SecureDisk tray icon and you may use SecureDisk to create and maintain your encrypted volumes.


Uninstalling SecureDisk

Two ways to remove SecureDisk from your system:

From control panel select Add/Remove Programs and choose SecureDisk to perform uninstallation

Or

execute unins000.exe at SecureDisk installed directory.

Note: SecureDisk can be successfully removed from your system only if the program is not running. Please be sure to exit SecureDisk before your uninstallation


Creating a SecureDisk volume

You must create a SecureDisk volume before you can map it as a system driver. The SecureDisk volume which also can be called as an encrypted volume, is an encrypted container, where you may store all your precious data. This volume exists as a file on your hard disk.

To create a SecureDisk volume from SecureDisk console you have three choices:

  • execute new command from file menu Or

  • Click new button at tool bar area Or

  • Right click at file list and select new from right click menu

Also the Wizard manner and the Fast manner will behave differently, you can choose a manner you like from settings window.

  • The Wizard manner

---The Wizard manner has four steps you have to follow:

---Step 1: Input file name and size for the volume
After selecting a folder in which you want the SecureDisk volume exist, the free space on that disk will be calculated and whatever large you want the volume to be, it can not exceed this limitation, so you must be careful when you input the file size. Fortunately SecureDisk will check the file size for you and if it exceeds the limitation, SecureDisk will reduce it automatically. Note since SecureDisk can not reduce a SecureDisk volume size after you have created it, the file size inputted here will be the largest size of your virtual disk You may notice there is a checkbox which was labeled as "Floating size", check this box if you want your virtual disk grow when you write more data into it. Go Floating volume size see more information about this feature.

---Step 2: Input default driver volume, Creator, and description
This second step allows you input the default driver volume, creator, and some description information for your virtual disk. Although you can assign a default driver volume for your virtual disk, the driver volume can be changed when you mount it. You may escape this step by just click next if you do not want to input anything.

---Step 3: Input password
Next, input your password for the SecureDisk volume, this password will be required every time when you mount the virtual disk. You need to create a secure password to protect your SecureDisk volume from been accessed by others.

---Step 4: Create SecureDisk volume
At last, simply press create button to create the volume file.

  • The Fast manner

---The Fast manner combines four steps into just one:
After you have filled all the information required in the screen(See The Wizard manner for descriptions for each input area) and clicked the Create button, a window will popped up to let you input the password for this SecureDisk volume. Type in your password and verify it before click OK, then click create button to create the SecureDisk volume.


Mounting a SecureDisk volume

Mounting a SecureDisk volume to a virtual disk you have four choices:

  • Double click the SecureDisk volume at volume list Or

  • Right click the selected SecureDisk volume and select insert command from the pop up menu Or

  • Select a SecureDisk volume at volume list, and choose insert command from edit menu Or

  • Select insert command from tray menu.

Then Select Drive & Enter Password will be popped up:

Please select a virtual disk driver and input your password for the SecureDisk volume. Check the Read-only checkbox if you only want to do some reading operation.


Dismounting a SecureDisk volume

Dismounting a SecureDisk volume you also have four choices:

  • Select the virtual driver from driver list, and press eject button from tool bar area. Or

  • Right click the virtual driver and select eject command from the pop up menu Or

  • Select the virtual driver from driver list, and choose eject command from edit menu Or

  • Select eject command from tray menu

Note you can not dismount a SecureDisk volume while it is doing some input/output operation..


Deleting a SecureDisk volume

First you should select the SecureDisk volume from volume list, then perform any operation of the three:

  • Select Delete command from File menu Or

  • Press Delete button at tool bar area Or

  • Select Delete command from right click menu

There will be a dialog box popped up to let you confirm the delete operation.

Note the SecureDisk volume can not be deleted while it is being used.


SecureDisk main window

SecureDisk main window was divided into several area:

Menu: | SecureDisk console main menu
Tool bar: | Some shortcuts to frequently used operations
Volume list: | Your SecureDisk volumes are listed here
Driver list: | To show mounted SecureDisk volumes
Volume properties: | Information for selected SecureDisk volume
Status bar: | To show SecureDisk system messages


Menus

Main Menu includes File Menu, Edit Menu, View Menu, Option Menu(show the settings window), and Help Menu.

  • File Menu:

New:

Create a SecureDisk volume.
Delete: Delete the selected SecureDisk volume.
Exit: Quit SecureDisk.
  • Edit Menu:

Insert: Mount the selected SecureDisk volume.
Eject: Dismount the selected virtual driver.
Change Password: Assign a new password for the selected SecureDisk volume. You can not change a volume's password when it is being used.
Add: Add a SecureDisk volume file to volume list
Back to top
  • View Menu:

Toolbar: Define Toolbar's appearance
Statusbar: Show Statusbar or not
Large Icons, Small Icons, List, Details: Define SecureDisk volumes' appearance
Properties...: See detail information of the select volume
Language Switch applied language.

Back to top

Pop Menu will be showed when you right click at SecureDisk volume list or Driver list.

New: Create a SecureDisk volume.
Delete: Delete the selected SecureDisk volume.
Insert: Mount the selected SecureDisk volume.
Eject: Dismount the selected virtual driver.
Change password: Assign a new password for the selected SecureDisk volume. You can not change a volume's password when it is being used.
Add: Add a SecureDisk volume file to volume list
Large Icons, Small Icons, List, Details: Define SecureDisk volumes' appearance
Properties See detail information of the select volume

Back to top


Tray Menu

Tray Menu will be showed when you right click the SecureDisk tray icon.

Eject | Dismount a virtual driver.
Insert | Mount a SecureDisk volume.
SecureDisk Console | Open SecureDisk console window.
Autorun at user logged on | Select this command to let SecureDisk automatically run when user log on the system and behave as a windows service.
About SecureDisk | Show About window.
Exit | Quit SecureDisk.


Settings window

Settings window will be showed when you choose settings command from option menu. Here you can define whether use Fast manner or Wizard manner to create SecureDisk volumes and whether use driver A: and B: when mounting your SecureDisk volumes or not. Also you can select to show or hide the Tips of the day.


Create a secure password

As an entry to your SecureDisk volumes, password plays a very important role. Hackers may use manners including brute-force, dictionary to attack and decrypt your password. You should therefore create a secure password which can prevent malicious users from accessing data stored in SecureDisk volumes. A secure password should has two characteristic:

1. The password should be random enough, and has at least eight characters. An optional combination of lower and upper case letters, numbers and punctuation symbols will make the password highly secure and extremely difficult to crack or guess.

2. Change your password frenquently, it is suggested to change your password every month.


Windows shell extension

With seamlessly integrating Windows operation systems, SecureDisk allows you do following things when your SecureDisk volumes listed in windows explorer:

  • Quick mounting. Just right click the SecureDisk volume file and select Open command or double click the file, it then will be mounted.
  • Show details about the SecureDisk volume.

  • Also the details can be found in properties window


Floating volume size
SecureDisk allows you to choose Floating size option when creating SecureDisk volumes, which means the size of the SecureDisk volume can increase dynamically. At the beginning when the virtual disk contains nothing the SecureDisk volume file may use only several KB disk space, and when you add more files or data into it, the file size can also increase according to your operation, unless it reaches your predefined maximum file size. This will make it more flexible when you creating your SecureDisk volumes and save your disk space. Notice SecureDisk can not reduce any increased file size for you even if you have deleted data from the volume..


Register
You can use trail version of SecureDisk during a period of 30 days. Any further using required register. To register, please go to our website at http://www.wekasoft.com/securedisk/register.htm. Once registered, You
1. Encourage the author to further develop and improve SecureDisk, making possible new releases;
2. May use SecureDisk in commercial and other environments;
3. Gain access to the Authenticity Verification and other advanced features;
4. Access support and assistance, via E-mail and SecureDisk Support Sites, worldwide;
5. Gain the right to use ALL futureSecureDisk releases, on the same OS platform, in the registered mode.

What you need to register
If you wish to become a registered SecureDisk user, all you need to do is make a payment to the author. We will accept credit cards, cash or cashier's cheque.
Please go to http://www.wekasoft.com/securedisk/register.htm for details and pricing.


Contact us
Contact us Our home page is at: http://www.wekasoft.com/securedisk, latest version of SecureDisk is always available at our website.

Send your problems, suggestions, and questions to our support email at: support@wekasoft.com

Go to our buy page: http://www.wekasoft.com/securedisk/register.htm to register for SecureDisk.